summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--tests/guix-package-net.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/guix-package-net.sh b/tests/guix-package-net.sh
index cedfa3217b..cf3233bee2 100644
--- a/tests/guix-package-net.sh
+++ b/tests/guix-package-net.sh
@@ -37,6 +37,14 @@ shebang_too_long ()
-ge 128
}
+if ! guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)' 2> /dev/null \
+ || shebang_too_long
+then
+ # Skipping.
+ exit 77
+fi
+
+
profile="t-profile-$$"
rm -f "$profile"